%global srcname catkin-sphinx
%global sum Sphinx extension for Catkin projects

Name:           python-%{srcname}
Version:        0.2.2
Release:        5%{?dist}
Summary:        %{sum}

Group:          Development/Libraries
License:        BSD
URL:            https://github.com/ros-infrastructure/%{srcname}
Source0:        https://github.com/ros-infrastructure/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.

%package -n python2-%{srcname}
Summary:        %{sum}

BuildRequires:  python2-devel
Requires:       python-sphinx
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.

%package -n python3-%{srcname}
Summary:        %{sum}

BuildRequires:  python3-devel
Requires:       python3-sphinx
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install
 
%files -n python2-%{srcname}
%doc README.md
%{python2_sitelib}/catkin_sphinx/
%{python2_sitelib}/catkin_sphinx-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%doc README.md
%{python3_sitelib}/catkin_sphinx/
%{python3_sitelib}/catkin_sphinx-%{version}-py?.?.egg-info

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.2.2-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Apr 16 2016 Scott K Logan <logans@cottsay.net> - 0.2.2-1
- Update to 0.2.2
- Update to latest packaging guidelines

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-8.20130602gitc00d68b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-7.20130602gitc00d68b
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-6.20130602gitc00d68b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Dec 13 2014 Scott K Logan <logans@cottsay.net> - 0.2.1-5.20130602gitc00d68b
- Add python3 package

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4.20130602gitc00d68b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-3.20130602gitc00d68b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Rich Mattes <richmattes@gmail.com> - 0.2.1-2.20130602gitc00d68b
- Change Python BuildRequires to python2-devel
- Don't try to remove RPM_BUILD_ROOT in install

* Sun Jun 02 2013 Rich Mattes <richmattes@gmail.com> - 0.2.1-1.20130602gitc00d68b
- Initial package
